Word Select

Question types ::: qtype_wordselect
Maintained by Marcus Green
A very easy to use "select the words" Moodle question type.
Latest release:
1353 sites
406 downloads
59 fans
Moodle 3.7, 3.8, 3.9, 3.10, 3.11

A very easy to use Moodle question type that allows a teacher to create text where one or more words are indicated to be the correct answers. The student is presented with the text and can select one or more words and is marked according to if they are correct.

You can see a short video of it in action in this Youtube video

If you want to ask questions, do it in the forums rather than the comments under this question.

Contact Titus Learning for custom development and consultancy.

Original announcement of the question type.
https://moodle.org/mod/forum/discuss.php?d=337262#p1363452

Please do not ask questions in the plugins page here, but use either the quiz forum


https://moodle.org/mod/forum/view.php?id=737

or the issue tracker here


https://github.com/marcusgreen/moodle-qtype_wordselect/issues

Screenshots

Screenshot #0

Contributors

Marcus Green (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Mon, Apr 9, 2018, 8:19 PM
    Ha, I had never thought of that. I had been considering updating it to add a splash of colour. Email me directly at marcusavgreen at gmail dot com....lets talk icons...
  • Wed, Apr 25, 2018, 8:49 PM
    Marcus,
    Thanks for this plugin. We installed it and have been exploring the uses for it with teachers. This question type has a lot of potential for elementary schools. Very nice plugin. Thank you for developing it.
  • Sun, Apr 29, 2018, 5:22 PM
    Very pleased you like it Chris. I will probably release a new version fairly soon to confirm compliance with Moodle 3.5 and to tidy up some very small things (e.g. using color in question text). I am mulling ideas about allowing different css in questions, e.g. css circles around selectable text. May never happen, but .....
  • Tue, Dec 4, 2018, 9:29 PM
    Great plugin! The video is a real teaser with the crossword type arrangement! How did you implement that using this plugin?
  • Tue, Dec 4, 2018, 9:33 PM
    Glad you like it. There is an importable example of how to do the crossword in the examples/en/wordselect_examples.xml file. Here it is in Github https://github.com/marcusgreen/moodle-qtype_wordselect/blob/master/examples/en/wordselect_examples.xml
    It would be nice to have a 'Wizard' for that, but so many software ideas and so little time smile
  • Tue, Dec 4, 2018, 9:34 PM
    Do confirm that you were able import and modify for your own purposes. In addition, I have been experimenting with modifying this question type for the mobile app.
  • Fri, Apr 17, 2020, 8:21 AM
    Hello, first of all, thank you very much for your contribution. Is there a way in which I can reduce the "selectable" words area to some in a sentence, and one correct among them?
    For example: "1. They have expensives / [expensive]​ computers. " I want my students to able to only select expensives and expensive, being the correct expensive. But I don't want them to select "They" "have" "computers" ?

    Thanks
  • Fri, Apr 17, 2020, 5:56 PM
    Hi Matias, do you think this is what you are looking for https://docs.moodle.org/38/en/Wordselect_question_type#Multiword_mode
    I need to include a screen shot of an example, and I will try to get around to it as soon as I can.
  • Fri, Apr 17, 2020, 9:46 PM
    It worked perfectly! Thanks!
  • Mon, May 11, 2020, 10:46 AM
    Thank for your awesome plugin, we love it.

    But after installing, we faced with an error, some drop-down menus are not working as normally.

    Pleaze take a look at this:
    Uncaught Error: Mismatched anonymous define() module: function(){function a(a){$("#"+a+" .selectable").on("keydown",function(a){return 32===a.keyCode?
    at makeError (require.min.js:5)
    at v (require.min.js:5)
    at Object.o [as require] (require.min.js:5)
    at requirejs (require.min.js:5)
    at view.php?id=200:2431
    at Object.execCb (require.min.js:5)
    at b.check (require.min.js:5)
    at b. (require.min.js:5)
    at require.min.js:5
    at require.min.js:5

    As after removing word select plugin from site, everything go back, the site run smoothy agian!

    If someone have the same experience as we, pleaze let us know the solution. We really appriciate!

    Thank Marcus, thank all!
    pixar.english@gmail.com
  • Sat, Aug 1, 2020, 2:33 AM
    Hello Marcus. I am using WordSelect 2.32 (thank you for you great work!) with Moodle 3.3
    An update came along and now I am stuck with 2.42 and the answers are not clickable.
    I can't uninstall WordSelect (no uninstall button in the Admin panel - Plugins overview).
    I can't upgrade Moodle to 3.7 and use your fixed 2.44 version because all of my images and audios will get damaged.
    I can't downgrade WordSelect plugin. Moodle sends me an error about it.
    Can you please provide modified 2.32 version of WordSelect (it worked fine) with which I can override the broken 2.42 version in Moodle 3.3 ?

    Thank you in advance.
    With respect and hope, Stan.
  • Sat, Aug 1, 2020, 3:19 PM
    Can you email me directly at marcusgreen at mailbox.org and copy in your message from above.
  • Fri, Feb 5, 2021, 12:39 AM
    Hi Marcus,
    we have a little problem with this question type. When we have 2 or 4 questions on one testsite, the question is not working. The students can't chose anything - the answers are not clickable.
    If we have 1, 3, 5 word select questions on a testsite it works fantastic.
    We use moodle 3.5. with the version 2.4.2.
    Kind regards
    Iris
  • Fri, Feb 5, 2021, 4:24 PM
    please email marcusavgreen at gmail dot com
  • Fri, Feb 5, 2021, 4:59 PM
    Hi Iris, I suspect you have come accross an issue that was fixed in version 2.43 which raised the requirement to Moodle 3.7 as a minimum. It is described here https://github.com/marcusgreen/moodle-qtype_wordselect/blob/master/changelog.md. Email me at the address above to discuss if you like.
1 2 3
Please login to post comments